Subject: Re: [PATCH] color-words: Support diff.wordregex config option

From: Junio C Hamano <[email-masked]>
Date: Wed, 21 Jan 2009 02:27:37 -0800

"Boyd Stephen Smith Jr." <[email-masked]> writes:

> When diff is invoked with --color-words (w/o =regex), use the regular
> expression the user has configured as diff.wordregex.
>
> diff drivers configured via attributes take precedence over the
> diff.wordregex-words setting.  If the user wants to change them, they have
> their own configuration variables.
>
> Signed-off-by: Boyd Stephen Smith Jr <[email-masked]>
> ---
> This version is squashed into one patch and includes documentation and
> rewritten tests.  It was generated against js/diff-color-words~2,
> 80c49c3d (color-words: make regex configurable via attributes), replacing
> my previous 2 patches.  It uses "diff.wordregex" for reasons mention by
> Dscho and because that was already what the diff drivers were using.

Nicely done and very well described.  I fixed the Subject: line, though ;-)

Thanks.